<template>
  <b-modal :model-value="open" hide-footer @hidden="close">
    <template #title>
      <span class="h6">
        {{ $t(`page.settings.actions.${action}.modal.title`) }}
      </span>
    </template>

    <!-- Body -->
    <i18n-t
      scope="global"
      :keypath="`page.settings.actions.${action}.modal.body`"
      tag="p"
      class="mb-3"
    >
      <template #br><br /></template>
      <template #dotCoscineFolder>
        <code>{{ $t("page.settings.actions.dotCoscine") }}</code>
      </template>
    </i18n-t>

    <!-- Modal Cancel Button -->
    <b-button @click="close">{{ $t("buttons.cancel") }}</b-button>
    <!-- Modal Archive Button -->
    <b-button
      variant="primary"
      class="float-end"
      @click="toggleLocalMetadataCopy"
    >
      {{ $t(`buttons.${action}`) }}
    </b-button>
  </b-modal>
</template>

<script lang="ts">
export default defineComponent({
  props: {
    metadataLocalCopy: {
      type: [Boolean, null] as PropType<boolean | null>,
      default: null,
    },
    open: {
      required: true,
      type: Boolean,
    },
  },

  emits: {
    toggleLocalMetadataCopy: null,
    close: null,
  },

  computed: {
    action(): string {
      return this.metadataLocalCopy
        ? "disableLocalMetadataCopy"
        : "enableLocalMetadataCopy";
    },
  },

  methods: {
    toggleLocalMetadataCopy() {
      this.$emit("toggleLocalMetadataCopy");
    },
    close() {
      this.$emit("close");
    },
  },
});
</script>
